<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<%@ include file="/m05bIdioma.inc"%>
	<% m05bFileLog miLog1 = new m05bFileLog(); 

    %>
<head>
  <title><%= resTit.getString("titVehAmortizacion")%></title>
</head>

<%String mensaje=request.getParameter("Mensaje");
   if (mensaje==null) 
   mensaje="";%>
<%	
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";
      }
String fecha="";
String rango="";
String importe="";
String acumulado="";
String codigo="";

		
%>

<script language="JavaScript">
 function fncModificar(codigo) {
        document.formAmortiza.action="m05bGenerarAmortizacionesServlet?Matricula=<%=matricula%>&Codigo=" + codigo + "&Habilitar="+parent.document.formVehiculos.Habilitar.value;
        document.formAmortiza.submit();
      }
      function  fncNuevo(){

         document.formAmortiza.action="m05bVehAmortizaJsp.jsp?Codigo=&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
         document.formAmortiza.submit();
      }
</SCRIPT>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_AMORTIZACION%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_AMORTIZACION%>";	 
</script>			
<%@include file="m05bVehiEconomicoFijo.inc"%>			
<%int contador=0;%>    

<FORM NAME="formAmortiza" METHOD="POST">
					<%
				  	if (mensaje.equals("Existe")) {
						outMsg.println("<script>alert(dameAlerta(idioma, 110));</script>");
			  	        outMsg.close(); }%>					
	
    <% if ((!(situacion.equals("B")))  &&  (sExisteMatricula.equals("1"))) {%>
		  <TABLE class="general">
			    <tr>
			      <td align="right"> 
			      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
			      </td>
				</tr>
		  </TABLE>
	<%}%>

		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
                    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\			  	
			  		<font class="CMV" ><%=resCM.getString("cmRelAmortizaciones")%></FONT>
			    </td>
			 </tr>
		</table>				  
		  <TABLE class="general" topmargin="0" leftmargin="0" border="0">
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle" width="10%"><%= res.getString("etCodigo")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" width="20%"><%= res.getString("etFecha")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" width="20%"><%= res.getString("etImporte")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" width="20%"><%= res.getString("etAcumulado")%></td>
		      <td valign="top" align="left" class="inputFieldTitle" width="20%"><%= res.getString("etRango")%></td>
		      	  
		    </tr>
		        <%
		        
		        StringBuffer sql = new StringBuffer();

		    	sql.append("SELECT ").append(m05bConstantes.COL_39_FECHA).append(",");
		    	sql.append(m05bConstantes.COL_39_IMPORTE).append(",").append(m05bConstantes.COL_39_AMORTIZA);
		    	sql.append(",").append(m05bConstantes.COL_39_RANGO).append(",").append(m05bConstantes.COL_39_CODIGO);
		    	sql.append(" , NVL(").append(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
		    	sql.append(",").append(m05bConstantes.COL_99_DESCRIPCION).append(")");
		    	sql.append(" FROM ").append(m05bConstantes.TAB_AMORTIZACION);
		    	sql.append(" , ").append(m05bConstantes.TAB_DESCRIPCIONES);
		    	sql.append(" WHERE ").append(m05bConstantes.COL_39_MATRICULA);
		    	sql.append("='").append(matricula).append("'");
		    	sql.append(" AND ").append(m05bConstantes.COL_99_CODDESC);
		    	sql.append("(+) = ").append(m05bConstantes.COL_39_RANGO);
		    	sql.append(" AND ").append(m05bConstantes.COL_99_CODTABLA);
		    	sql.append("(+) = ").append(m05bConstantes.DESC_RANGOS);

		    	sql.append(" ORDER BY ").append(m05bConstantes.COL_39_CODIGO).append(" DESC ");

		    	
		     try {
		           if (!matricula.equals("")){
		           //m05bbBeginSelect(sql.toString());
		           //m05bRS = m05bPStmt.executeQuery();
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();
		           while (rs2.next() == true){
                       contador=contador+1;
		               fecha=rs2.getString(m05bConstantes.COL_39_FECHA);
		               acumulado=rs2.getString(m05bConstantes.COL_39_AMORTIZA);
		               //if (acumulado==null|| acumulado.equals("NULL")|| acumulado.equals("0")){
		               //	  acumulado="";}
		               
		               rango=rs2.getString(6);
		               importe=rs2.getString(m05bConstantes.COL_39_IMPORTE);
		               //if (importe==null|| importe.equals("NULL")|| importe.equals("0")){
		               //	  importe="";}

		               codigo=rs2.getString(m05bConstantes.COL_39_CODIGO);

		               if (fecha==null || fecha.equals("NULL"))
		                   fecha="";
		               else
		                   fecha=comun.Mes(fecha,campoTexto3);
		               %>
		               <tr>
		                 <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></td>
		                 <td valign="top" align="left" class="inputFieldTitleBlank"><%=fecha%></td>
              <input type="hidden" name=<%="Importe"+contador%> value="<%=importe%>">
              <input type="hidden" name=<%="Acumulado"+contador%> value="<%=acumulado%>">
              	  
      <script>
          formatNumeroDecimal(document.formAmortiza.<%="Importe"+contador%>,6,2);
          formatNumeroDecimal(document.formAmortiza.<%="Acumulado"+contador%>,6,2);
      
      </script>	
                 		   
		                 <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formAmortiza.<%="Importe"+contador%>.value);</script></td>
		                 <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formAmortiza.<%="Acumulado"+contador%>.value);</script></td>
                 		 <td valign="top" align="left" class="inputFieldTitleBlank"><%=rango%></td>
		                 	 
		    </tr>

		           <%}
		    }
		  } catch (Exception SQLException){
			  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			   miLog.addTraza(SQLException);
		  } finally  {
			   //m05bEndSelect();
			    //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
			    
			   
		  }
		    %>
		  </TABLE>
		  <TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
				<tr> </tr>
		  		
		  </TABLE>
		      
</FORM>
					</td>
					</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>